While checking the version of SAPUI5 libraries on the ABAP stack is widely known, I could not find anything to check the version on the JAVA stack.

One way to see the version is to go to anything UI5 in portal and press CTRL+SHIFT+ALT+P.  This will provide you an SAPUI5 version, only for the stack you indicated the libraries should be consumed from.

For finding the version on the ABAP stack, there are several posts letting you know you can use the following URL:

http://<host>:<port>/sap/public/bc/ui5_ui5/


But for the JAVA stack, I had to open an incident to find out there is a URL for that also:


http://<host>:<port>/sapui5/resources/sap/m/.library


We have found that while we consume the libraries from the ABAP stack, we build our theme for the FFP on the JAVA stack and if the versions are not kept in sync, we see inconsistencies in the theme.

To report this post you need to login first.

2 Comments

You must be Logged on to comment or reply to a post.

  1. Omri Cohen

    You can also check the SAPUI5 on the Java stack in the following way:

    1) Browser to http://<host>:<port>/sapui5

    2) Open developer tools and type sap.ui.version in the console


    Omri



    (0) 
    1. Roger Beach Post author

      Omri,

      You are correct, in fact, currently in our system, we have 1.28.35.

      The URL SAP support provided above reports 1.28.34.

      sap.ui.version reports 1.28.34

      sap.ui.versioninfo reports 1.28.35.

      Somewhat confusing….

      (0) 

Leave a Reply